## com.lowagie.rups.view.icons
Class IconTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.rups.view.icons.IconTreeNode

All Implemented Interfaces:
  Serializable, Cloneable, MutableTreeNode, TreeNode

Direct Known Subclasses:
  FormTreeNode, OutlineTreeNode, PdfObjectTreeNode, XdpTreeNode

    public class IconTreeNode

extends DefaultMutableTreeNode

A tree node with a specific icon.

See Also:
  Serialized Form

Field Summary
`protected Icon` `icon` The icon that has to be used for this TreeNode.
`private static long` `serialVersionUID` A Serial Version UID.

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`IconTreeNode(String icon)` Constructs an IconTreeNode.
`IconTreeNode(String icon, Object userobject)` Constructs an IconTreeNode.

Method Summary
`Icon` `getIcon()` Getter for the icon.

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### icon

    protected Icon icon

  The icon that has to be used for this TreeNode.

### serialVersionUID

    private static final long serialVersionUID

  A Serial Version UID.

  See Also:
    Constant Field Values

Constructor Detail

### IconTreeNode

    public IconTreeNode(String icon)

  Constructs an IconTreeNode.

  Parameters:
    `icon` - the filename of the icon to use for this node.

### IconTreeNode

    public IconTreeNode(String icon,
                        Object userobject)

  Constructs an IconTreeNode.

  Parameters:
    `icon` - the filename of the icon to use for this node.
    `userobject` - the userobject for this node

Method Detail

### getIcon

    public Icon getIcon()

  Getter for the icon.

Hosted by Hostbasket